
const furnaceStore = defineStore('furnaceInfo', {
  state: () => ({
    lotQueryParams: null
  }),
  actions: {
    setlotQueryParams(value) {
      this.lotQueryParams = value;
    },
    checkClean(obj) {
      // console.log(obj.name)
      if (obj.name == '') {
        this.lotQueryParams = null
      }
    },
    allClean() {
      this.lotQueryParams = null
    },
    otherClean(obj) {
      // if (obj.name != '') {
      //   this.productionPlanNo = null
      //   this.productionPlanDetailQueryParams = null
      // }
    }
  }
})

export default furnaceStore
